<a name="menu">目录</a>
1. [我的个体户](#myPage)
1. [个体户开票列表](#invoicePage)
1. [个体户详情](#info)


## **<a name="myPage"> 我的个体户 </a>**
[返回到目录](#menu)
##### URL
[/web/business/businessmenCtl/myPage]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",
        "pageSize": "3",
        "orderId": ""
    }

```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 8,
        "rows": [
            {
                "id": "12795594625000138",                          // 个体户id
                "order_id": "13180532689003786",                    // 订单编号
                "channelOrderNo": "xxxxxxxxx116",                   // 渠道订单号
                "gstatus": "2000",                                  // 个体户状态
                "gstatusName": "办理中",                             // 个体户状态名称

                // 个体工商户执照信息
                "legalName": "杨庆菊",                               // 法人姓名
                "legalMobile": "杨庆菊手机号",                        // 法人手机号
                "legalIdcard": "2222222222",                        // 法人身份证号
                "name": "杨庆菊有限公司",                             // 个体户名称
                "creditCode": "xxxxxx333333333",                    // 统一社会信用代码
                "businessPlace": "来广营地铁站",                      // 经营场所
                "businessScope": "1,2，3,4,5，",                     // 经营范围
                "regDate": "2019-01-22",                            // 注册日期
                "businessImg": "http:1.png",                        // 执照照片

                // 个体工商户刻章信息
                "gongzhang": "http://gongzhang.png",                // 公章
                "caiwuzhang": "http://caiwuzhang.png",              // 财务章
                "fapiaozhang": "http://fapiaozhang.png",            // 发票章
                "hetongzhang": "http://hetongzhang.png",            // 合同章
                "farenzhang": "http://farenzhang.png",              // 法人章

                // 个体户开户信息
                "isBank": 1,                                        // 是否开户 0否 1是
                "bankName": "https://bankName",                     // 账户名称
                "bankNo": "https://bankNo",                         // 帐号
                "bank": "https://bank",                             // 开户行
                "bankImg": "https://bankImg",                       // 账户图片

                "caImg": "12313212",                                // CA照片
                "taxRegDay": "2019-01-01",                          // 税务登记日
                "taxOrg": "12333",                                  // 税务机构名称

                "courierNo": "111111111",                           // 快递单号
                "courierImg": "快递交接图片",                         // 快递交接图片

                "taxUpType":"10",                                   // 个税累计
                "costRate":"1122",                                  // 核定成本费用率
                "signNotes":"  12qwdwqd",                           // 签约备注
                "commonTaxLadder": "[{ }]",                         // 普票个税梯度
                "commonOtherLadder": "[{}]",                        // 普票票增值税、附加税梯度
                "specialTaxLadder": "[{}]",                         // 专票个税梯度
                "specialOtherLadder": "[{}]"                        // 专票票增值税、附加税梯度

                "signTime": ""                                      // 签约时间

                "created_at": "2019-10-06 07:19:07",
                "updated_at": "2019-10-06 07:38:57",
            }
        ]
    }
}

```

## **<a name="invoicePage"> 个体户开票列表 </a>**
[返回到目录](#menu)
##### URL
[/web/business/businessmenCtl/invoicePage]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",
        "pageSize": "3",
        "orderId": ""
    }

```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 8,
        "rows": [
            {
                "id": "12795594625000138",                          // 个体户id
                "order_id": "13180532689003786",                    // 订单编号
                "channelOrderNo": "xxxxxxxxx116",                   // 渠道订单号
                "gstatus": "2000",                                  // 个体户状态
                "gstatusName": "办理中",                             // 个体户状态名称

                // 个体工商户执照信息
                "legalName": "杨庆菊",                               // 法人姓名
                "legalMobile": "杨庆菊手机号",                        // 法人手机号
                "legalIdcard": "2222222222",                        // 法人身份证号
                "name": "杨庆菊有限公司",                             // 个体户名称
                "creditCode": "xxxxxx333333333",                    // 统一社会信用代码
                "businessPlace": "来广营地铁站",                      // 经营场所
                "businessScope": "1,2，3,4,5，",                     // 经营范围
                "regDate": "2019-01-22",                            // 注册日期
                "businessImg": "http:1.png",                        // 执照照片

                // 个体工商户刻章信息
                "gongzhang": "http://gongzhang.png",                // 公章
                "caiwuzhang": "http://caiwuzhang.png",              // 财务章
                "fapiaozhang": "http://fapiaozhang.png",            // 发票章
                "hetongzhang": "http://hetongzhang.png",            // 合同章
                "farenzhang": "http://farenzhang.png",              // 法人章

                // 个体户开户信息
                "isBank": 1,                                        // 是否开户 0否 1是
                "bankName": "https://bankName",                     // 账户名称
                "bankNo": "https://bankNo",                         // 帐号
                "bank": "https://bank",                             // 开户行
                "bankImg": "https://bankImg",                       // 账户图片

                "caImg": "12313212",                                // CA照片
                "taxRegDay": "2019-01-01",                          // 税务登记日
                "taxOrg": "12333",                                  // 税务机构名称

                "courierNo": "111111111",                           // 快递单号
                "courierImg": "快递交接图片",                         // 快递交接图片

                "taxUpType":"10",                                   // 个税累计
                "costRate":"1122",                                  // 核定成本费用率
                "signNotes":"  12qwdwqd",                           // 签约备注
                "commonTaxLadder": "[{ }]",                         // 普票个税梯度
                "commonOtherLadder": "[{}]",                        // 普票票增值税、附加税梯度
                "specialTaxLadder": "[{}]",                         // 专票个税梯度
                "specialOtherLadder": "[{}]"                        // 专票票增值税、附加税梯度

                "signTime": ""                                      // 签约时间

                "created_at": "2019-10-06 07:19:07",
                "updated_at": "2019-10-06 07:38:57",
            }
        ]
    }
}


```


## **<a name="info"> 个体户详情 </a>**
[返回到目录](#menu)
##### URL
[/web/business/businessmenCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
{
  "id": "14",               // 个体工商户id
}

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        "id": "12795594625000138",                          // 个体户id
        "order_id": "13180532689003786",                    // 订单编号
        "channelOrderNo": "xxxxxxxxx116",                   // 渠道订单号
        "gstatus": "2000",                                  // 个体户状态
        "gstatusName": "办理中",                             // 个体户状态名称

        // 个体工商户执照信息
        "legalName": "杨庆菊",                               // 法人姓名
        "legalMobile": "杨庆菊手机号",                        // 法人手机号
        "legalIdcard": "2222222222",                        // 法人身份证号
        "name": "杨庆菊有限公司",                             // 个体户名称
        "creditCode": "xxxxxx333333333",                    // 统一社会信用代码
        "businessPlace": "来广营地铁站",                      // 经营场所
        "businessScope": "1,2，3,4,5，",                     // 经营范围
        "regDate": "2019-01-22",                            // 注册日期
        "businessImg": "http:1.png",                        // 执照照片

        // 个体工商户刻章信息
        "gongzhang": "http://gongzhang.png",                // 公章
        "caiwuzhang": "http://caiwuzhang.png",              // 财务章
        "fapiaozhang": "http://fapiaozhang.png",            // 发票章
        "hetongzhang": "http://hetongzhang.png",            // 合同章
        "farenzhang": "http://farenzhang.png",              // 法人章

        // 个体户开户信息
        "isBank": 1,                                        // 是否开户 0否 1是
        "bankName": "https://bankName",                     // 账户名称
        "bankNo": "https://bankNo",                         // 帐号
        "bank": "https://bank",                             // 开户行
        "bankImg": "https://bankImg",                       // 账户图片

        "caImg": "12313212",                                // CA照片
        "taxRegDay": "2019-01-01",                          // 税务登记日
        "taxOrg": "12333",                                  // 税务机构名称

        "courierNo": "111111111",                           // 快递单号
        "courierImg": "快递交接图片",                         // 快递交接图片

        "taxUpType":"10",                                   // 个税累计
        "costRate":"1122",                                  // 核定成本费用率
        "signNotes":"  12qwdwqd",                           // 签约备注
        "commonTaxLadder": "[{ }]",                         // 普票个税梯度
        "commonOtherLadder": "[{}]",                        // 普票票增值税、附加税梯度
        "specialTaxLadder": "[{}]",                         // 专票个税梯度
        "specialOtherLadder": "[{}]"                        // 专票票增值税、附加税梯度

        "signTime": ""                                      // 签约时间

        "created_at": "2019-10-06 07:19:07",
        "updated_at": "2019-10-06 07:38:57",
    }
}

```



## **<a name="businessmenSign"> 用户签约 </a>**
[返回到目录](#menu)
##### URL
[/web/order/businessmenCtl/businessmenSign]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "1",
        "commonTaxLadder": "[{\"minValue\": 0, \"rate\": \"0\", \"maxValue\": 3000000 }]",
        "commonOtherLadder": "[{\"minValue\": 0, \"rate\": \"0\", \"maxValue\": 3000000 }]",
        "specialTaxLadder": "[{\"minValue\": 0, \"rate\": \"0\", \"maxValue\": 3000000 }]",
        "specialOtherLadder": "[{\"minValue\": 0, \"rate\": \"0\", \"maxValue\": 3000000 }]"
    }

```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
}


```
